commit c4262efc9688e495261d8b23a12f956ab38e006f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 16 14:25:35 2019 -0700

    xtrans 1.4.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit faa42207a0653535ab80825b0acb50b417702ec4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 19:52:43 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cd22de616c77328da3410b1eaab541c2d331ffdb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 19 23:12:07 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 06cfa80fb3d03ca03fd92f9687a77958338e012c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 30 17:04:51 2018 -0700

    Use fchmod() instead of chmod() when creating named pipes
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7bd504f7ab7799ab77ad50eb39f6afdbaf2f9e50
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 25 11:18:52 2018 -0700

    Use strcasecmp if it's available, instead of lowercasing strings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 941cfa50bc2d45f20943fd21bab98e2eceeeb259
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 25 10:45:04 2018 -0700

    Set freeXLOCAL to NULL after freeing it to prevent double frees
    
    We shouldn't be calling the LocalEndTransports routine twice, but
    just make sure if we do, we don't call free twice on the same pointer.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a97e5fc6e4f294294d75500068892aea11952773
Author: Rin Okuyama <rin@NetBSD.org>
Date:   Tue Feb 21 06:18:37 2017 +0000

    avoid -Wformat errors from clang
    
    https://bugs.freedesktop.org/show_bug.cgi?id=99882
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 28366676effaa512e43bfd2276a317389a992511
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8554cf05262ab6ad6e8da5f11022e5dc2a452e38
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 560d7550e23e9b14056b4a9b2569c2f256015f8a
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Sat Sep 10 22:09:51 2016 -0700

    Update strlcpy macro check to also check HAVE_STRLCPY
    
    xorg-server moved from HAS_STRLCPY to HAVE_STRLCPY in 2011
    
    cf-xserver: d829a7c5cb42c979b58f3547136df5b05d906423
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit 2e4c338eda8ec6996b7bacc1d0c7dfe7de925864
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Sep 1 09:28:58 2016 -0400

    Revert "Make FreeConnInfo static"
    
    <anholt> ajax: 75419e6b6d985ea8796f05d1acb5e154b065c9b9 of xtrans also
             seems to have broken xtest.
    
    And indeed it does, xts5 knows a fair amount about xlib internals for
    some reason. Whether that's cromulent or not, we want to be able to run
    automatic tests from top-of-tree, so we can't leave this broken.
    
    This reverts commit 75419e6b6d985ea8796f05d1acb5e154b065c9b9.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 3810e026323210df6ec6cf818f01832a63e9fbb9
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 18 12:58:31 2016 -0400

    Remove GetMyAddr
    
    Again, pre-xcb libX11 was the only consumer.
    
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 75419e6b6d985ea8796f05d1acb5e154b065c9b9
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 18 12:50:48 2016 -0400

    Make FreeConnInfo static
    
    libX11 used to need this in the XOpenDisplay code, but hasn't since xcb
    became mandatory.
    
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 0794b1b712a90b40e2b019c9edc6f96874493c52
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 18 12:41:41 2016 -0400

    unifdef LBXPROXY_t and TEST_t
    
    LBX is dead, and TEST_t is unused.
    
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 473e77563b16fa7c42db9403c1382e9483e3666c
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 18 12:38:02 2016 -0400

    Remove CLTS code
    
    Never been used, as far as I can tell.
    
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit b167145a51153eccc16a3e43f7ed0faea7e6c762
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 18 15:19:50 2016 -0400

    autogen: Add a default patch prefix
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit cc29fbc1fe86ae4dfe2f4eaae7352ea86aa4acac
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 28 13:04:21 2015 -0800

    Remove support for SysV on x86 platforms other than Solaris & SCO
    
    No other x86 SysV platforms have ever been supported in the modular
    build systems, so we don't need to keep carrying around a bunch of
    ifdef's for them.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>

commit 3ba0b7a37b9053662ff42f0b4caa856856098475
Author: Richard PALO <richard@NetBSD.org>
Date:   Tue Nov 17 07:02:27 2015 +0100

    Replace 'sun' with '__sun'
    
    Globally replace #ifdef and #if defined usage of 'sun' with '__sun' such
    that strict ISO compiler modes such as -ansi or -std=c99 can be used.
    
    Signed-off-by: Richard PALO <richard@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1d31b87e8045f3fc89b1914187a9a13861d35f2d
Author: Julien Cristau <jcristau@debian.org>
Date:   Wed Jul 29 20:36:13 2015 +0200

    Make sure LONG64 is defined in Xtrans.h
    
    Xtrans.h defines BytesReadable_t as int or long depending on whether
    LONG64 is defined.  We need to make sure Xmd.h is included so our idea
    of BytesReadable_t is consistent across compilation units.
    
    Debian bug#749120
    
    Reported-by: Michael Tautschnig <mt@debian.org>
    Signed-off-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7cbad9fe2e61cd9d5caeaf361826a6f4bd320f03
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Sep 20 10:02:05 2014 -0700

    xtrans 1.3.5
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit fb7f198c88e97d22c8c89e76e9cd06b2b2720a96
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Sep 12 11:27:39 2014 -0700

    Add TRANS(Listen) function to re-enable specific listen sockets
    
    This will allow a server to disable listeners by default and then
    let later configuration re-enable them. In particular, this lets the X
    server disable inet and unix listen sockets by default while still
    providing a '-listen' command line option to re-enable them later on.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 17491de45c352c833442cccf17a9bd65909889db
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 23 12:28:14 2014 -0700

    Add const qualifiers to TRANS(OpenC{L,O}TS{Server,Client}) args
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 305d20f2ee888d1c890f902da978176b8ec58a8d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 23 12:10:48 2014 -0700

    Add const qualifiers to TRANS(MakeAll*ServerListeners) port args
    
    Required also changing receive_listening_fds to specify port as const,
    which we can do now that TRANS(ReopenCOTSServer) takes it as const.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ba70d48951fb925fb3082d81afb08c330333aa51
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 23 11:33:57 2014 -0700

    Add const qualifiers to TRANS(Connect) args
    
    Also required constifying UnixHostReallyLocal, since SocketUNIXConnect
    passes the host arg through to it.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 63b65a20706def951dd25e531949b7bc556419eb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 23 10:17:57 2014 -0700

    Add const qualifiers to TRANS(CreateListener) port args
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fd90a4e00321b22c96565cfa354b8b0efa376979
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 23 10:07:22 2014 -0700

    Add const qualifiers to TRANS(Reopen...) port args
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a56ec9d720a7964bada837790e9c1f6ceef97861
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 23 09:58:05 2014 -0700

    Add const qualifiers to TRANS(Open...) address args
    
    Required also adding const to static TRANS(ParseAddress) function which
    they pass the address arg to for parsing.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 30b3fd74a27c80993e81dfcb33e33520ae8684fb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 23 12:46:44 2014 -0700

    Update docs to note that TransName is now const char *
    
    Missed when the code was updated in commit eb9a8904fbef61a57ff0.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a57a7f62242e1ea972b81414741729bf3dbae0a4
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Mon Mar 31 12:37:43 2014 +0200

    xtrans 1.3.4
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

commit 1cd9cbe9b404e6c3e73dc0239d11547a5e2c02c4
Author: Mark Kettenis <kettenis@openbsd.org>
Date:   Sat Mar 29 23:51:49 2014 +0100

    Increase UNIX socket buffer size
    
    Some systems provide a really small default buffer size for UNIX sockets.
    Bump it up to 64k if necessary such that large transfers (such as
    XGetImage() on a 8-megapixel image) don't take tens of seconds.
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

commit 68f60238c4224f954ff6556ae778c72e420175f0
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Wed Mar 26 13:21:49 2014 +0100

    Add missing headers for free() and strlen().
    
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

commit 34463baacb3cafc096e0e0859bc10d6868cb2299
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Wed Mar 26 13:21:23 2014 +0100

    Cast ctype(3) function arguments to unsigned char.
    
    Fixes warnings on at least NetBSD.
    
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

commit f20a9bb2ea25408ce9f1166b3b6e48759960fe86
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Mon Mar 3 08:42:45 2014 +0100

    configure: Also add -D_DEFAULT_SOURCE to .pc cflags to shut up glibc warnings
    
    The latest glibc considers _BSD_SOURCE deprecated, leading to the following
    warning being issued for pretty much every C-file in the xserver:
    
    In file included from /usr/include/stdint.h:25:0,
                     from /usr/lib/gcc/x86_64-redhat-linux/4.8.2/include/stdint.h:9,
                     from ../include/misc.h:81,
                     from miexpose.c:82:
    /usr/include/features.h:145:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
     # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
       ^
    
    I've discussed this with the glibc developers and the prefered way of fixing
    this is by also defining _DEFAULT_SOURCE which is the new way of stating
    _BSD_SOURCE / _SVID_SOURCE .
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>
    Tested-by: Kristian Høgsberg <krh@bitplanet.net>
    Reviewed-by: Kristian Høgsberg <krh@bitplanet.net>

commit 3f0de269abe59353acbd7a5587d68ce0da91db67
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Thu Jan 23 11:47:25 2014 +0100

    xtrans 1.3.3
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

commit 8f3bbed42c308f9c90293f23b7eaceff006aa232
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Wed Jul 10 16:29:12 2013 +0100

    Add TransIsListening()
    
    libxtrans provides TransNoListen() to set the 'don't listen' flag for a
    particular transport, but there is no interface to query the state of that flag
    
    This is a bit of a problem for the XWin server, as it wants to start some helper
    clients (for clipboard integration and integrated window management), so needs
    to know what transports the server is listening on to construct appropriate
    display names for those clients.
    
    Add TransIsListening() to discover if TransNoListen() has been called for a
    particular protocol or not
    
    HdG:
    -Invert the final check so that TransIsListening returns True when
     TRANS_NOLISTEN is not set, as one would expect of it.
    -Make the protocol argument a const char * as similar functions do
    -Fix "warning: too many arguments for format" warning
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

commit e1e6121a1638d43d9929589b4723da2b38cb6b44
Author: Łukasz Stelmach <l.stelmach@samsung.com>
Date:   Mon Nov 25 11:11:54 2013 +0100

    Enable systemd socket activation
    
    Receive file descriptors of open sockets from systemd instead of
    creating them.
    
    Signed-off-by: Łukasz Stelmach <l.stelmach@samsung.com>
    Cc: Kyungmin Park <kyungmin.park@samsung.com>
    Cc: MyungJoo Ham <myungjoo.ham@samsung.com>
    Cc: Piort Bereza <p.bereza@samsung.com>
    Cc: Karol Lewandowski <k.lewandowsk@samsung.com>
    Cc: Lennart Poettering <lennart@poettering.net>
    Cc: Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>
    Cc: Peter Hutterer <peter.hutterer@who-t.net>
    Cc: walter harms <wharms@bfs.de>
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b895d45e225dd3d1bf9d598774d3ae4f29fcbc25
Author: Łukasz Stelmach <l.stelmach@samsung.com>
Date:   Thu Nov 28 12:57:21 2013 +0100

    Define TRANS_RECEIVED flag for transports
    
    The flag is to be used to mark transports related to sockets
    received from systemd.
    
    Signed-off-by: Łukasz Stelmach <l.stelmach@samsung.com>
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2c0a7840a28ae696e80e73157856d7a049fdf6c7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Dec 15 19:49:59 2013 -0500

    xtrans.m4: remove AC_TYPE_SIGNAL and Imake SIGNALRETURNSINT
    
    Assume signal handlers return void, as C89 requires
    
    Drops use of autoconf's obsolete AC_TYPE_SIGNAL and Imake's even more
    obsolete SIGNALRETURNSINT.
    
    None of the modules including xtrans.m4 uses RETSIGTYPE from autoconf.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 87547e43189301e3dd42feb9d7ff32a75d0e727f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Dec 15 16:11:00 2013 -0500

    xtrans.m4: replace deprecated AC_HAVE_LIBRARY with AC_CHECK_LIB
    
    The #define HAVE_LIBWS2_32 is still done and the lib ws2_32 is
    prepended to LIBS if found.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 88433eb1abe887000d34315c2f55aa42fcddfdee
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Dec 15 15:36:48 2013 -0500

    xtrans.m4: fix warning by replacing obsolete AC_HELP_STRING
    
    with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9487701904b71985549f60c9d8bc5df48682b55a
Author: Mark Kettenis <kettenis@openbsd.org>
Date:   Thu Nov 21 11:55:17 2013 +0100

    Don't restrict FD passing to Linux & Solaris
    
    Signed-off-by: Mark Kettenis <kettenis@openbsd.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8b2c8aabe27bcaa4de6432b53c4a1296010ea823
Author: Mark Kettenis <kettenis@openbsd.org>
Date:   Mon Nov 11 23:18:01 2013 +0100

    Fix alignment issues in FD passing code
    
    A char array on the stack is not guaranteed to have more than byte
    alignment.  This means that casting it to a 'struct cmsghdr' and
    accessing its members may result in unaligned access.  This will
    generate SIGBUS on strict alignment architectures like OpenBSD/sparc64.
    The solution is to use a union to force proper alignment.
    
    Signed-off-by: Mark Kettenis <kettenis@openbsd.org>
    Reviewed-by: Matthieu Herrb <matthieu@herrb.eu>

commit 81662d2018a35a161a5e9707563ee7f503f8d3e0
Author: Mark Kettenis <kettenis@openbsd.org>
Date:   Mon Nov 11 23:16:15 2013 +0100

    Remove unused static inlines
    
    Signed-off-by: Mark Kettenis <kettenis@openbsd.org>
    Reviewed-by: Matthieu Herrb <matthieu@herrb.eu>

commit 0153d1670e4a1883e1bb6dd971435d6268eac5ba
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Nov 7 20:16:53 2013 -0800

    xtrans 1.3.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 426049c30162ed620cc16bb58edef6aac4e2ee5d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Nov 7 19:17:44 2013 -0800

    Allow XTRANS_SEND_FDS on Solaris as well
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 76b4f4430f9a857a1b54bfde9ef57a95b87789f5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 6 22:34:03 2013 -0800

    Check if we need to define _XOPEN_SOURCE for struct msghdr.msg_control
    
    Required to expose the structure members in Solaris headers, since it
    was an XPG4/UNIX95 addition to the Solaris ABI.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 32070a64ba99fb89ec039e26444b1e026d6a978e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 6 21:52:21 2013 -0800

    Add stubs for send/recv fd functions in local transports
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 08bf85958fab64951a9ba9e27dcb6b8eb818cc7e
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Nov 7 18:04:30 2013 -0800

    Switch to CMSG_* macros for FD passing
    
    This should be portable to non-Linux systems
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6b54b5cf8086f127aa87096e2bdd2263d1c81683
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Nov 7 03:49:05 2013 -0800

    Actually disable all of the FD passing code unless XTRANS_SEND_FDS is set
    
    Stick all of the functions relating to FD passing inside
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f3709f3e0b883a0b4956313f89fa931e9264c346
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Nov 6 23:16:11 2013 -0800

    Update to version 1.3.1
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 074614940c570524e1446f55fc12a64415057e1f
Author: Mark Kettenis <kettenis@openbsd.org>
Date:   Wed Nov 6 23:13:28 2013 -0800

    Don't include file descriptor passing code by default
    
    Leave it up to the consumer to request this functionality by defining
    XTRANS_SEND_FDS.
    
    Signed-off-by: Mark Kettenis <kettenis@openbsd.org>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    
    v2 - make sure this is only defined on systems where the code actually
    works (Linux for now)

commit a7094c389ac9fd5ca265996f76eb55cb1133974b
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 2 19:23:41 2013 -0700

    Add SEND_FDS version of Readv
    
    Now that we've found that libFS uses readv, we can test whether this
    readv implementation works correctly.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 58151f63553faf81babd1371770b7a7f33cecac1
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 2 19:10:11 2013 -0700

    Revert "Remove 'Readv' interface"
    
    This reverts commit 9e8d99c2e27f2c8acbbfb5b760649aa1bfad665e.
    
    libFS still uses this API...

commit 1fb0fd555a16dd8fce4abc6d3fd22b315f46762a
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 31 17:21:53 2013 -0700

    Update to version 1.3.0
    
    Adds FD passing interfaces and pulls in current patches past 1.2.7
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit adf920aa25c1709998c7c9276927061bd58e2dfc
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jan 8 16:47:05 2013 -0800

    Add APIs to send file descriptors through the network
    
    Exposes new TRANS(SendFd)/TRANS(RecvFd) APIs.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9e8d99c2e27f2c8acbbfb5b760649aa1bfad665e
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 18 16:47:30 2013 -0800

    Remove 'Readv' interface
    
    No-one uses this, so there's no reason for it to be in the library
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f6a161f2a003f4da0a2e414b4faa0ee0de0c01f0
Author: Łukasz Stelmach <l.stelmach@samsung.com>
Date:   Tue Jul 9 16:24:43 2013 +0200

    Add const qualifier to unix_nolisten
    
    Signed-off-by: Łukasz Stelmach <l.stelmach@samsung.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bd53f4c8543faf910a7a151241ee07661b4d57ad
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 27 22:11:40 2013 -0800

    Docs: Drop pre-C89 TRANS() from docs since it's no longer in the headers
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3c4e0455425d5afd546c4a3f2cc9f8c7e60f2fca
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 27 21:39:34 2013 -0800

    Docs: convert function synopses to docbook funcsynopsis markup
    
    Also add some cross-reference links and various other markup improvements.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d9f3728ff74ceb956f6cf8dc24b38611f9a4868a
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 575e1e901ca842ba8ff7417f48175fb6a8d70859
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jan 15 14:28:48 2013 -0500

    configure: Remove AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit ec3136232f7ce930f9ca812b6ab42a71b60af4af
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Dec 26 19:08:16 2012 -0800

    Remove unused TLI ("STREAMSCONN") code from xtrans
    
    Has never been converted to build in modular builds, so has been unusable
    since X11R7.0 release in 2005.  All known platforms with TLI/XTI support
    that X11R7 & later releases run on also have (and mostly prefer) BSD
    socket support for their networking API.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8ce5ecd33b05becc054dbd07f87e385165b6c979
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Mar 22 20:04:07 2012 -0700

    xtrans 1.2.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f8eea0bf256de59602790b6a7c7877b31520440f
Author: Matt Dew <marcoz@osource.org>
Date:   Wed Jan 11 22:23:32 2012 -0700

    informaltable cleanup
    
    On certain tables, add top and bottom borders to table
    header and a bottom border to the table. This matches
    what those tables in the old pdfs looked like.
    
    the <?dbfo keep-together='always'> prevents tables from
    splitting across pages. Useful for tiny tables.
    
    Converting the colwidth to a floating point,
    IE, 1* -> 1.0* cleans up these build errors:
    WARNING: table-layout="fixed" and column-width unspecified
    => falling back to proportional-column-width(1)
    
    Signed-off-by: Matt Dew <marcoz@osource.org>

commit 6086f6c1d0e0a1c9e590879acb2319dea0eb6e96
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Dec 12 00:30:43 2011 +0000

    Xtranssock.c: avoid buffer overrun in SocketReopen
    
    This function was constructing an address from a port string allocating
    a buffer according to the size of the string but then later copying
    the address according to sizeof(struct sockaddr).
    
    This patch ensures that we allocate a struct sockaddr buffer with enough
    space for the port string to be copied into sa_data[] and uses that
    combined length to determine how much should be copied at the end of the
    function.
    
    This fixes a crash when using xwayland which uses ListenOnOpenFD() that
    will call _XSERVTransReopenCOTSServer() with a short port string like
    ":1".
    
    Signed-off-by: Robert Bragg <robert@linux.intel.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a04a45cb94f7f569e6dd77df93258fa167d0a4ea
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 30 18:40:46 2011 -0800

    Remove unnecessary casts on malloc, calloc & free calls
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>

commit a0bfb4fefd20b396e3d88eff0c60602fc436dad5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 30 18:11:15 2011 -0800

    Replace malloc(strlen)+strcpy with strdup
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>

commit b89e1b45198c48996750b5da3d715c10f974243f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 30 18:05:05 2011 -0800

    Finish conversion to standard C allocation functions
    
    Commit 4ac40cd5451 started this, by no longer special casing the
    xserver to include it's former custom allocation functions, this
    just takes the remaining #defines and pre-substitutes them into
    the code.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ff992be7b05483f9a0586a27ee0edb6d99580b84
Author: Alan Hourihane <alanh@fairlite.co.uk>
Date:   Thu Dec 1 12:04:22 2011 +0000

    Fix some resource & memory leaks in libxtrans.
    
    Signed-off-by: Alan Hourihane <alanh@vmware.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 29c9e101f7ad72556aa6b3dbc17d66a1ace9b2b1
Author: Matt Dew <marcoz@osource.org>
Date:   Tue Oct 4 21:59:50 2011 -0600

    Cleanup IDs and links in doc
    
    1 - fix the capitalization of the ID attributes to match either the
         <title> or <funcdef> string it goes with.
    2 - fix any <linkend>'s that were affected by 1.
    3 - any <function> in the docs that has an actual funcdef,
    will become an olink.
    
    Signed-off-by: Matt Dew <marcoz@osource.org>

commit 0f942e5f015cb3270e6f2e17c308bee894cb5fe3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 25 11:39:13 2011 -0700

    Convert a bunch of sprintf calls to snprintf
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit eb9a8904fbef61a57ff01c90627ead57055ed62b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 25 11:18:26 2011 -0700

    Add const attributes to fix gcc -Wwrite-strings warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 4e610d4bbcf29cca9dc5dbad29ca820996aaa8c7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 25 10:59:45 2011 -0700

    Fix warning: unused variable 'tmpport' with various configurations
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit a74c5d915c3095059356f83d1b845192e5c472c2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 25 10:57:00 2011 -0700

    Add _X_UNUSED attributes to silence unused parameter warnings
    
    Not all the transport variants use all the arguments to every function,
    but as long as one transport type needs it, they all get the args passed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 64f765de138cb9b757df315469b3136d32222ea2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Sep 24 00:04:40 2011 -0700

    Mark __xtransname strings for debug messages as const char *
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit ea921932dae7049b231bead7f8f3f088d7beaf9e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 23 23:03:09 2011 -0700

    Fix unused variable warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit c1968d10f97d62ac05d698822c2688151f70a9eb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 23 22:59:11 2011 -0700

    Fix warning: ISO C90 forbids mixed declarations and code
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 225c45b3accab56fab361104a3d14b80f6cec954
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 23 22:57:56 2011 -0700

    Fix printf format string warnings
    
    Now that prmsg lets arguments types actually be checked, fix
    the warnings found.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit b1b69ce8e8e4fe0f190c8bd85b537309e71055c8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 23 22:35:03 2011 -0700

    Convert PRMSG macro to prmsg inline function
    
    Allows using varargs to have the correct number of arguments passed to
    get rid of the many gcc warnings about variable printf format strings,
    and to reduce the duplication from having 5 implementations of the
    PRMSG macro depending on the debug options defined & output method used.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit cbdb434033da1725a69014cc6e4d89c691a6fd95
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Sep 24 07:43:07 2011 -0700

    Fix warnings about static functions declared but never defined
    
    Add #define XTRANS_TRANSPORT_C to transport.c and check for it
    before making static function declarations and other bits needed
    only when compiling the Xtrans code itself, not from other sources
    that include the Xtransint.h header for the struct definitions.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit cf39d738086b0a7c668fb3720d64de8d711a1a97
Author: Arvind Umrao <arvind.umrao@oracle.com>
Date:   Tue Sep 20 22:56:52 2011 +0530

    Removing SUN specific code, let solaris create .X11-pipe with sticky bit on
    
    Alan told me, named pipe support was added around Solaris 2.6 when that was a much better performing transport than Unix sockets on the Solaris kernels of the time. By Solaris 10, Unix sockets had been reimplemented in the kernel to be faster, so they became the default again. In Solaris 11, we don't even have named pipe support in the libxcb library that implements X client connection code now, so the named pipes would only be accessed by code with a different libX11 or a statically linked libX11 from Solaris 2.6-9
    
    Signed-off-by: Arvind Umrao <arvind.umrao@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a477713b89686480cf59a9c75c0aaeeba2386d0a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Sep 20 18:56:47 2011 -0400

    specs: regroup <author> <editor> <othercredit> under authorgroup
    
    Some elements are not displayed when outside authorgroup
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1ad48fb9bc18d0c7a8fbec1d2cd232877e945047
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Sep 20 15:47:09 2011 -0400

    specs: refactor copyright legal text for multi licensing
    
    we can use <copyright> markup for the first holder
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bd93bf86fd914a9cc54e2bedec5b063e5a38b732
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Sep 19 10:58:40 2011 -0400

    doc: support multi licensed copyright notice and license text
    
    For documentation having multiple licenses, the copyright and legalnotice
    elements sequence cannot instantiated multiple times.
    The copyright notice and license text are therefore coded inside a
    legalnotice element. The role attribute on the paragraph is used to allow
    styling of the copyright notice text which should not be italicized.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit eb9ec458b7fb5332f7ae7b8faf59443a9075ec60
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 22:54:41 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 36174eb06e805fa51c9c2e9e914fdfad4a99f50f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Sep 14 15:29:19 2011 -0400

    docs: fix authors affiliation
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9b6c2473be2848ce0a4986ddaa59e5f5ef028bfc
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Sep 12 16:37:24 2011 -0400

    docs: use the &fullrelvers; entity to set X11 release information
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b5754cdf64f3396a5853413eda1943cf75ff3cbd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 11 19:49:54 2011 -0400

    docs: remove <productnumber> which is not used by default
    
    This element is not rendered by default on the title. A template
    customization is required to display it.
    X Window System does not have a product number.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 20f338c548e5fcb16650a4e2c25c2008c1fdac36
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Sep 8 20:00:00 2011 -0400

    docbook.am: embed css styles inside the HTML HEAD element
    
    Rather than referring to the external xorg.css stylesheet, embed the content
    of the file in the html output produced. This is accomplished by using
    version 1.10 of xorg-xhtml.xsl.
